# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesDoublesSketchIterator

Packages that use QuantilesDoublesSketchIterator
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of QuantilesDoublesSketchIterator in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesDoublesSketchIterator
Modifier and Type
Class
Description
`final class`
`KllDoublesSketchIterator`
Iterator over KllDoublesSketch.
Methods in org.apache.datasketches.kll that return QuantilesDoublesSketchIterator
Modifier and Type
Method
Description
`QuantilesDoublesSketchIterator`
KllDoublesSketch.`iterator()`

## Uses of QuantilesDoublesSketchIterator in org.apache.datasketches.quantiles

Classes in org.apache.datasketches.quantiles that implement QuantilesDoublesSketchIterator
Modifier and Type
Class
Description
`final class`
`DoublesSketchIterator`
Iterator over DoublesSketch.
Methods in org.apache.datasketches.quantiles that return QuantilesDoublesSketchIterator
Modifier and Type
Method
Description
`QuantilesDoublesSketchIterator`
DoublesSketch.`iterator()`

## Uses of QuantilesDoublesSketchIterator in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return QuantilesDoublesSketchIterator
Modifier and Type
Method
Description
`QuantilesDoublesSketchIterator`
QuantilesDoublesAPI.`iterator()`
Gets the iterator for this sketch, which is not sorted.